Skip to main content

Compute

Configure pre-warmed Kubernetes node pools for general, AI, and MCP workloads. Pre-warming uses balloon pods to keep Karpenter nodes provisioned for low-latency workload scheduling.

All endpoints require authentication via X-API-Key header and the appropriate scope.


Pre-Warmed Config Object

{
"general": {
"enabled": true,
"count": 2,
"instanceCategory": "m",
"instanceSize": "large"
},
"ai": {
"enabled": true,
"count": 1,
"instanceCategory": "g",
"instanceSize": "xlarge"
},
"mcp": {
"enabled": false,
"count": 0,
"instanceCategory": "m",
"instanceSize": "medium"
}
}

GET /api/v1/compute/pre-warmed

Get pre-warmed node configurations for all workload types.

Scope: compute:read

Response 200 OK

Returns the full Pre-Warmed Config object.


PUT /api/v1/compute/pre-warmed/:workloadType

Configure pre-warmed nodes for a workload type. Creates balloon pods to keep Karpenter nodes provisioned.

Scope: compute:write

Path Parameters

ParameterTypeRequiredDescription
workloadTypestringYesWorkload type: general, ai, or mcp

Request Body

{
"enabled": true,
"count": 2,
"instanceCategory": "m",
"instanceSize": "large"
}
FieldTypeRequiredDescription
enabledbooleanYesEnable/disable pre-warming
countnumberYesNumber of pre-warmed nodes (1-5)
instanceCategorystringYesInstance category (m, c, g, etc.)
instanceSizestringYesInstance size (small, medium, large, xlarge, 2xlarge, 4xlarge)

Response 200 OK

{
"workloadType": "general",
"enabled": true,
"count": 2,
"instanceCategory": "m",
"instanceSize": "large"
}

DELETE /api/v1/compute/pre-warmed/:workloadType

Disable pre-warmed nodes for a workload type and remove balloon pods.

Scope: compute:write

Path Parameters

ParameterTypeRequiredDescription
workloadTypestringYesWorkload type: general, ai, or mcp

Response 200 OK

{
"workloadType": "general",
"disabled": true
}